--- amavisd.conf.orig	2012-10-05 12:39:05.783617132 +0200
+++ amavisd.conf	2012-10-05 12:41:47.775609987 +0200
@@ -54,8 +54,12 @@
 $unix_socketname = "$MYHOME/amavisd.sock";  # amavisd-release or amavis-milter
                # option(s) -p overrides $inet_socket_port and $unix_socketname
 
-$protocol = 'QMQPqq';        # suggested protocol to use on all input sockets
-$inet_socket_port = 10628;   # accept connections on this local TCP port(s)
+$protocol = 'QMQPqq';        		# suggested protocol to use on all input sockets
+$inet_socket_port = [10024, 10628];	# accept connections on this local TCP port(s)
+#$inet_qmqpqq_port = 10628;		# accept QMQPqq on this local TCP port
+#$inet_smtp_port = 10024;		# accept SMTP/LMTP on this local TCP port
+$inet_socket_bind = '127.10.10.10';	# limit socket bind to loopback interface
+@inet_acl = qw( 127.10.10.10 );		# allow SMTP access only from localhost IP 
 
 $policy_bank{'MYNETS'} = {   # mail originating from @mynetworks
   originating => 1,  # is true in MYNETS by default, but let's make it explicit
@@ -90,9 +94,9 @@
   auth_required_release => 0,  # do not require secret_id for amavisd-release
 };
 
-$sa_tag_level_deflt  = 2.0;  # add spam info headers if at, or above that level
-$sa_tag2_level_deflt = 6.2;  # add 'spam detected' headers at that level
-$sa_kill_level_deflt = 6.9;  # triggers spam evasive actions (e.g. blocks mail)
+$sa_tag_level_deflt  = undef;  # add spam info headers if at, or above that level
+$sa_tag2_level_deflt = 5.0;  # add 'spam detected' headers at that level
+$sa_kill_level_deflt = 99;  # triggers spam evasive actions (e.g. blocks mail)
 $sa_dsn_cutoff_level = 10;   # spam level beyond which a DSN is not sent
 $sa_crediblefrom_dsn_cutoff_level = 18; # likewise, but for a likely valid From
 # $sa_quarantine_cutoff_level = 25; # spam level beyond which quarantine is off
@@ -145,18 +149,16 @@
 
 # OTHER MORE COMMON SETTINGS (defaults may suffice):
 
-# $myhostname = 'host.example.com';  # must be a fully-qualified domain name!
+$myhostname = 'host.example.com';  # must be a fully-qualified domain name!
 
-# $notify_method  = 'smtp:[127.0.0.1]:10025';
-# $forward_method = 'smtp:[127.0.0.1]:10025';  # set to undef with milter!
+$notify_method  = 'smtp:127.10.10.10:10025';
+$forward_method = 'smtp:127.10.10.10:10025';  # set to undef with milter!
 
-# $final_virus_destiny      = D_DISCARD;
-# $final_banned_destiny     = D_DISCARD;
-# $final_spam_destiny       = D_PASS;  #!!!  D_DISCARD / D_REJECT
-# $final_bad_header_destiny = D_PASS;
-# $bad_header_quarantine_method = undef;
-
-# $os_fingerprint_method = 'p0f:*:2345';  # to query p0f-analyzer.pl
+$final_virus_destiny      = D_DISCARD;
+$final_banned_destiny     = D_BOUNCE;
+$final_spam_destiny       = D_PASS;
+$final_bad_header_destiny = D_PASS;
+$bad_header_quarantine_method = undef;
 
 ## hierarchy by which a final setting is chosen:
 ##   policy bank (based on port or IP address) -> *_by_ccat
@@ -356,10 +358,10 @@
 #   qr/^DONE OK\b/m, qr/^VIRUS\b/m, qr/^VIRUS\s*(\S*)/m ],
 
 # ### http://www.clanfield.info/sophie/ (http://www.vanja.com/tools/sophie/)
-# ['Sophie',
-#   \&ask_daemon, ["{}/\n", 'sophie:/var/run/sophie'],
-#   qr/(?x)^ 0+ ( : | [\000\r\n]* $)/,  qr/(?x)^ 1 ( : | [\000\r\n]* $)/,
-#   qr/(?x)^ [-+]? \d+ : (.*?) [\000\r\n]* $/m ],
+['Sophie',
+  \&ask_daemon, ["{}/\n", 'sophie:/var/run/sophie'],
+  qr/(?x)^ 0+ ( : | [\000\r\n]* $)/,  qr/(?x)^ 1 ( : | [\000\r\n]* $)/,
+  qr/(?x)^ [-+]? \d+ : (.*?) [\000\r\n]* $/m ],
 
 # ### http://www.csupomona.edu/~henson/www/projects/SAVI-Perl/
 # ['Sophos SAVI', \&ask_daemon, ['{}','savi-perl:'] ],
@@ -371,15 +373,15 @@
 # settings for the SAVAPI3.conf: ArchiveScan=1, HeurLevel=2, MailboxScan=1
 
 # ### http://www.clamav.net/
-# ['ClamAV-clamd',
-#   \&ask_daemon, ["CONTSCAN {}\n", "/var/run/clamav/clamd.sock"],
-#   qr/\bOK$/m, qr/\bFOUND$/m,
-#   qr/^.*?: (?!Infected Archive)(.*) FOUND$/m ],
-# # NOTE: run clamd under the same user as amavisd - or run it under its own
-# #   uid such as clamav, add user clamav to the amavis group, and then add
-# #   AllowSupplementaryGroups to clamd.conf;
-# # NOTE: match socket name (LocalSocket) in clamav.conf to the socket name in
-# #   this entry; when running chrooted one may prefer a socket under $MYHOME.
+['ClamAV-clamd',
+  \&ask_daemon, ["CONTSCAN {}\n", "/var/run/clamav/clamd.sock"],
+  qr/\bOK$/m, qr/\bFOUND$/m,
+  qr/^.*?: (?!Infected Archive)(.*) FOUND$/m ],
+# NOTE: run clamd under the same user as amavisd - or run it under its own
+#   uid such as clamav, add user clamav to the amavis group, and then add
+#   AllowSupplementaryGroups to clamd.conf;
+# NOTE: match socket name (LocalSocket) in clamav.conf to the socket name in
+#   this entry; when running chrooted one may prefer a socket under $MYHOME.
 
 # ### http://www.clamav.net/ and CPAN  (memory-hungry! clamd is preferred)
 # # note that Mail::ClamAV requires perl to be build with threading!
